/*Resolution of grid*/
res = 3e-4;

/* Length of tube */
L_tube = 0.6*10^-2;  //m
/* Diameter of tube */
W_tube = 0.1*10^-2;  //m

// Length of 2cc coupler
L_2cc=1e-2;  //m
// Width of 2cc coupler
W_2cc=0.6*10^-2;  //m

// Length of output
L_output=0.3*10^-2;  //m
// Diameter of output
W_output=0.1*10^-2;  //m

/* (mean) radius */ 
R = 0.25*10^-2; // Radius at bend [m]
dr = 0*10^-2;  // Difference in radius in inner and outer boundary [m]


/* ================================== */

// Frequency
nu = 30000; //Hz
omega = 2*Pi*nu;
// Speed of sound
c=343.2; // m/s
// Wavevector
k = omega/c ;
// Wave length
lambda=c/nu;

// Impedance of walls
Z=17.41*10^6;
// Density of walls
rho=2.73*10^3;
// Impedance of microphone
Z_mic=1;

/* ================================== */

// Intensity of source in dB
Lp=100;
// Reference pressure [N/m^2]
pref=0.00002;
// Amplitude of source
prms=pref*10^(Lp/20);